using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SalonKrasoti02
{
    public partial class Добавление : Form
    {
        public Добавление()
        {
            InitializeComponent();
        }

        private void serviceBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.serviceBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.saloonKrasoti02DataSet);

        }

        private void Добавление_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "saloonKrasoti02DataSet.Service". При необходимости она может быть перемещена или удалена.
            this.serviceTableAdapter.Fill(this.saloonKrasoti02DataSet.Service);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            serviceBindingSource.AddNew();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.tableAdapterManager.UpdateAll(this.saloonKrasoti02DataSet);
            MessageBox.Show("Вы успешно добавили новые данные!");
            
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Администратор fr = new Администратор();
            fr.Show();
            this.Close();
        }
    }
}
